pub fn frequency(freq: f64) -> String {
    let rest = (freq * 1_000_000_000.0) as u64;
    let milli_hz = rest % 1000;
    let rest = rest / 1000;
    let hz = rest % 1000;
    let rest = rest / 1000;
    let khz = rest % 1000;
    let rest = rest / 1000;
    let mhz = rest % 1000;

    format!("{:02}.{:03} {:03} {:03} MHz", mhz, khz, hz, milli_hz)
}
